Subject: bug#3942: 23.1.50; Reply to mail not as it was

From: jpff <[email-masked]>
Date: Mon, 27 Jul 2009 11:49:47 +0100

Please write in English if possible, because the Emacs maintainers
usually do not have translators to read other languages for them.

Your bug report will be posted to the [email-masked] mailing list.

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug:

This is hard to explain.  I use RMAIL for mail and in the last week or
so the behavious has changed for the worse.  First I use feedmail to
delay mail as I am often off-net.  I alse have mild dyslexia and so
I use ispell on all mail

(autoload 'feedmail-send-it "feedmail")
(autoload 'feedmail-run-the-queue "feedmail")
(autoload 'feedmail-run-the-queue-no-prompts "feedmail")
(setq auto-mode-alist (cons '("\\.fqm$" . mail-mode) auto-mode-alist))
(autoload 'feedmail-queue-reminder "feedmail")
(autoload 'feedmail-mail-send-hook-splitter "feedmail")
(add-hook 'mail-send-hook 'feedmail-mail-send-hook-splitter)
(add-hook 'feedmail-mail-send-hook 'ispell-message)
(custom-set-variables
 '(feedmail-queue-chatty-sit-for 0)
 '(feedmail-nuke-bcc nil)
 '(feedmail-nuke-emytp-headers nil)
 '(feedmail-fill-to-cc nil)
 '(feedmail-ask-before-queue-default "send")
 '(feedmail-from-line "[email-masked]"))

If I send mail (compose-mail) then it seems to work, but if I reply to a
message (r in rmail-mode) then I do not get the BCC, and no spelling check.

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
If you would like to further debug the crash, please read the file
/home/jpff/GNU_21/emacs-22.0.50/etc/DEBUG for instructions.

In GNU Emacs 23.1.50.32 (i686-pc-linux-gnu, GTK+ Version 2.12.0)
 of 2009-07-27 on cardew
Windowing system distributor `The X.Org Foundation', version 11.0.70200000
Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_GB.UTF-8
  value of $XMODIFIERS: @im=local
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: Mail

Minor modes in effect:
  auto-image-file-mode: t
  show-paren-mode: t
  display-time-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t
  abbrev-mode: t

Recent input:
C-d C-f C-f C-f C-f C-f 0 C-e SPC o r SPC 3 . 5 % <backspace> 
<backspace> 8 % SPC t o t a l <return> ( f i v i n 
g SPC <backspace> <backspace> <backspace> <backspace> 
<backspace> <backspace> <backspace> g i v i n g SPC 
2 3 . 5 % SPC f r o m SPC <down-mouse-1> <mouse-1> 
C-v <down-mouse-1> <mouse-1> C-d C-d C-d C-d C-d C-d 
C-d C-d C-d C-d 7 + ( 2 0 * 0 , 2 <backspace> <backspace> 
. <backspace> <backspace> <backspace> <backspace> <backspace> 
4 0 * 0 . 2 ) + <up> <down> <left> <left> <left> <left> 
<left> <left> <left> <left> <left> <left> * . 6 <right> 
<right> <right> <right> <right> <right> <right> <right> 
<right> <right> <down-mouse-1> <mouse-movement> <mouse-movement> 
<drag-mouse-1> <down-mouse-2> <mouse-2> S-SPC = = SPC 
<down-mouse-1> <mouse-movement> <mouse-movement> <drag-mouse-1> 
<down-mouse-1> <mouse-1> 1 5 <next> <backspace> 6 % 
) <return> <return> B u t SPC n o <backspace> <backspace> 
t h t a SPC <backspace> <backspace> <backspace> a t 
SPC w o u ; d SPC n o t SPC b e SPC j u s t i c e . 
<return> <return> = = J o h n SPC f f <return> <prior> 
<prior> <prior> <prior> <prior> <prior> C-c C-c C-x 
0 C-x b * <tab> s <tab> e <tab> <return> <down-mouse-1> 
<mouse-movement> <mouse-movement> <drag-mouse-1> <down-mouse-1> 
<mouse-movement> <mouse-movement> <help-echo> <drag-mouse-1> 
<help-echo> <down-mouse-1> <mouse-movement> <mouse-movement> 
<mouse-movement> <mouse-movement> <mouse-movement> 
<drag-mouse-1> <help-echo> M-m <down-mouse-2> <mouse-2> 
<escape> < <down> C-e j p f f <down> C-e C o p y SPC 
o f SPC m a i l <down> C-a C-k C-k C-n C-k C-k C-k 
C-k C-k C-n C-n C-n C-k C-k C-k C-k C-n C-k C-k C-k 
C-c C-c x <return> M-m C-g M-x r e p o <tab> r <tab> 
<return>

Recent messages:
Spell-checking region using ispell with default dictionary...done
Spell-checking region using ispell with default dictionary...
Exited spell-checking
Unfrobbing selective-display...
FQM: Message action (q, i, d, e, ?)? [send]: 
FQM: Immediate send...
FQM: [D: 3,  Q: 2]
Sending...done
Quit
Making completion list...

Load-path shadows:
/home/jpff/GNU_21/local-lisp/t-mouse hides /home/jpff/GNU_21/emacs-22.0.50/lisp/t-mouse
/home/jpff/GNU_21/local-lisp/ruler-mode hides /home/jpff/GNU_21/emacs-22.0.50/lisp/ruler-mode
/home/jpff/GNU_21/local-lisp/emerge hides /home/jpff/GNU_21/emacs-22.0.50/lisp/emerge
/home/jpff/GNU_21/local-lisp/scroll-lock hides /home/jpff/GNU_21/emacs-22.0.50/lisp/scroll-lock
/home/jpff/GNU_21/local-lisp/url hides /home/jpff/GNU_21/emacs-22.0.50/lisp/url/url
/home/jpff/GNU_21/local-lisp/url-vars hides /home/jpff/GNU_21/emacs-22.0.50/lisp/url/url-vars
/home/jpff/GNU_21/local-lisp/url-cookie hides /home/jpff/GNU_21/emacs-22.0.50/lisp/url/url-cookie
/home/jpff/GNU_21/local-lisp/url-parse hides /home/jpff/GNU_21/emacs-22.0.50/lisp/url/url-parse
/home/jpff/GNU_21/local-lisp/url-ns hides /home/jpff/GNU_21/emacs-22.0.50/lisp/url/url-ns
/home/jpff/GNU_21/local-lisp/url-nfs hides /home/jpff/GNU_21/emacs-22.0.50/lisp/url/url-nfs
/home/jpff/GNU_21/local-lisp/url-news hides /home/jpff/GNU_21/emacs-22.0.50/lisp/url/url-news
/home/jpff/GNU_21/local-lisp/url-misc hides /home/jpff/GNU_21/emacs-22.0.50/lisp/url/url-misc
/home/jpff/GNU_21/local-lisp/url-ldap hides /home/jpff/GNU_21/emacs-22.0.50/lisp/url/url-ldap
/home/jpff/GNU_21/local-lisp/url-irc hides /home/jpff/GNU_21/emacs-22.0.50/lisp/url/url-irc
/home/jpff/GNU_21/local-lisp/url-http hides /home/jpff/GNU_21/emacs-22.0.50/lisp/url/url-http
/home/jpff/GNU_21/local-lisp/url-gw hides /home/jpff/GNU_21/emacs-22.0.50/lisp/url/url-gw
/home/jpff/GNU_21/local-lisp/url-file hides /home/jpff/GNU_21/emacs-22.0.50/lisp/url/url-file
/home/jpff/GNU_21/local-lisp/url-cid hides /home/jpff/GNU_21/emacs-22.0.50/lisp/url/url-cid
/home/jpff/GNU_21/local-lisp/url-cache hides /home/jpff/GNU_21/emacs-22.0.50/lisp/url/url-cache
/home/jpff/GNU_21/local-lisp/url-auth hides /home/jpff/GNU_21/emacs-22.0.50/lisp/url/url-auth
/home/jpff/GNU_21/local-lisp/remember hides /home/jpff/GNU_21/emacs-22.0.50/lisp/textmodes/remember
/home/jpff/GNU_21/emacs-22.0.50/lisp/vc-mcvs hides /home/jpff/GNU_21/emacs-22.0.50/lisp/obsolete/vc-mcvs
/home/jpff/GNU_21/emacs-22.0.50/lisp/resume hides /home/jpff/GNU_21/emacs-22.0.50/lisp/obsolete/resume
/home/jpff/GNU_21/local-lisp/socks hides /home/jpff/GNU_21/emacs-22.0.50/lisp/net/socks